<?php

$furniture_decor_custom_css = "";

$furniture_decor_primary_color = get_theme_mod('furniture_decor_primary_color');

/*------------------ Primary Global Color -----------*/

if ($furniture_decor_primary_color) {
  $furniture_decor_custom_css .= ':root {';
  $furniture_decor_custom_css .= '--primary-color: ' . esc_attr($furniture_decor_primary_color) . ' !important;';
  $furniture_decor_custom_css .= '} ';
}

/*-------------------- Post Content Alignment-------------------*/

$furniture_decor_single_post_align = get_theme_mod( 'furniture_decor_single_post_align','left-align');

if($furniture_decor_single_post_align == 'left-align'){
$furniture_decor_custom_css .='body:not(.hide-post-meta) .post{';
	$furniture_decor_custom_css .='text-align: left';
$furniture_decor_custom_css .='}';
}else if($furniture_decor_single_post_align == 'right-align'){
$furniture_decor_custom_css .='body:not(.hide-post-meta) .post{';
	$furniture_decor_custom_css .='text-align: right';
$furniture_decor_custom_css .='}';
}else if($furniture_decor_single_post_align == 'center-align'){
$furniture_decor_custom_css .='body:not(.hide-post-meta) .post{';
	$furniture_decor_custom_css .='text-align: center';
$furniture_decor_custom_css .='}';
}

/*-------------------- Scroll Top Alignment-------------------*/

$furniture_decor_scroll_top_alignment = get_theme_mod( 'furniture_decor_scroll_top_alignment','right-align');

if($furniture_decor_scroll_top_alignment == 'right-align'){
$furniture_decor_custom_css .='#button{';
	$furniture_decor_custom_css .='right: 5%;';
$furniture_decor_custom_css .='}';
}else if($furniture_decor_scroll_top_alignment == 'center-align'){
$furniture_decor_custom_css .='#button{';
	$furniture_decor_custom_css .='right:0; left:0; margin: 0 auto;';
$furniture_decor_custom_css .='}';
}else if($furniture_decor_scroll_top_alignment == 'left-align'){
$furniture_decor_custom_css .='#button{';
	$furniture_decor_custom_css .='left: 5%;';
$furniture_decor_custom_css .='}';
}

/*-------------------- Archive Page Pagination Alignment-------------------*/

$furniture_decor_archive_pagination_alignment = get_theme_mod( 'furniture_decor_archive_pagination_alignment','left-align');

if($furniture_decor_archive_pagination_alignment == 'right-align'){
$furniture_decor_custom_css .='.pagination{';
	$furniture_decor_custom_css .='justify-content: end;';
$furniture_decor_custom_css .='}';
}else if($furniture_decor_archive_pagination_alignment == 'center-align'){
$furniture_decor_custom_css .='.pagination{';
	$furniture_decor_custom_css .='justify-content: center;';
$furniture_decor_custom_css .='}';
}else if($furniture_decor_archive_pagination_alignment == 'left-align'){
$furniture_decor_custom_css .='.pagination{';
	$furniture_decor_custom_css .='justify-content: start;';
$furniture_decor_custom_css .='}';
}

// Scroll to top button shape 

$furniture_decor_scroll_border_radius = get_theme_mod( 'furniture_decor_scroll_to_top_radius','curved-box');
if($furniture_decor_scroll_border_radius == 'box'){
	$furniture_decor_custom_css .='#button{';
		$furniture_decor_custom_css .='border-radius: 0px;';
	$furniture_decor_custom_css .='}';
}else if($furniture_decor_scroll_border_radius == 'curved-box'){
	$furniture_decor_custom_css .='#button{';
		$furniture_decor_custom_css .='border-radius: 4px;';
	$furniture_decor_custom_css .='}';
}
else if($furniture_decor_scroll_border_radius == 'circle'){
	$furniture_decor_custom_css .='#button{';
		$furniture_decor_custom_css .='border-radius: 50%;';
	$furniture_decor_custom_css .='}';
}

// Footer Background Image Attatchment 

$furniture_decor_footer_attatchment = get_theme_mod( 'furniture_decor_background_attatchment','scroll');
if($furniture_decor_footer_attatchment == 'fixed'){
	$furniture_decor_custom_css .='.site-footer{';
		$furniture_decor_custom_css .='background-attachment: fixed;';
	$furniture_decor_custom_css .='}';
}elseif ($furniture_decor_footer_attatchment == 'scroll'){
	$furniture_decor_custom_css .='.site-footer{';
		$furniture_decor_custom_css .='background-attachment: scroll;';
	$furniture_decor_custom_css .='}';
}

// Menu Hover Style	

$furniture_decor_menus_item = get_theme_mod( 'furniture_decor_menus_style','None');
if($furniture_decor_menus_item == 'None'){
	$furniture_decor_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$furniture_decor_custom_css .='';
	$furniture_decor_custom_css .='}';
}else if($furniture_decor_menus_item == 'Zoom In'){
	$furniture_decor_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$furniture_decor_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important;';
	$furniture_decor_custom_css .='}';
}	
